BLOCKDIAG(1)

NAME
blockdiag - generate block-diagram image file from spec-text file.

SYNOPSIS
blockdiag [options] file

DESCRIPTION
This manual page documents briefly the blockdiag commands.

blockdiag is a program that generate block-diagram image file from spec-text file.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the SEE ALSO.

--version
    show program's version number and exit

-h, --help
    Show summary of options

-a, --antialias
    Pass diagram image to anti-alias filter

-c FILE, --config=FILE
    read configurations from FILE

-o FILE
    write diagram to FILE

-f FONT, --font=FONT
    use FONT to draw diagram

--fontmap=FONT
    use FONTMAP file to draw diagram

-s, --separate
    Separate diagram images for each group

-T TYPE
    Output diagram as TYPE format

--nodoctype
    Do not output doctype definition tags (SVG only)

--no-transparency
    do not make transparent background of diagram (PNG only)

SEE ALSO
The programs are documented fully by
http://tk0miya.bitbucket.org/blockdiag/build/html/index.html

AUTHOR
blockdiag was written by Takeshi Komiya <i.tkomiya@gmail.com>

This manual page was written by Kouhei Maeda <mkouhei@palmtb.net>, for the Debian project (and may be used by others).